import {Component, Input, OnInit} from '@angular/core';
import {AlertController, ModalController} from '@ionic/angular';
import {EditorService} from '../../service/editor.service';
import {PageVersionRecord} from '../../structures/PageRecord';

@Component({
    selector: 'app-version-modal',
    templateUrl: './version-modal.component.html',
    styleUrls: ['./version-modal.component.scss'],
})
export class VersionModalComponent implements OnInit {
    @Input() pageId: string;
    public pageVersions: PageVersionRecord[] = [];
    public selectedVersion?: PageVersionRecord;

    constructor(
        protected alerts: AlertController,
        protected modals: ModalController,
        protected editorService: EditorService,
    ) {
        console.log('version modal', this);
    }

    async ngOnInit() {
        this.pageVersions = await this.editorService.loadPageVersions(this.pageId);
        await this.onVersionClick(this.pageVersions[0]);
    }

    dismiss() {
        this.modals.dismiss();
    }

    async onVersionClick(version: PageVersionRecord) {
        this.selectedVersion = version;
    }
}
